net.sf.jasperreports.functions

## Class FunctionsBundle

- java.lang.Object
- - net.sf.jasperreports.functions.FunctionsBundle

-     public class FunctionsBundle
      extends java.lang.Object

  A functions bundle contains a list of classes which have static methods that can be used as functions in report expressions. The registry may return one or more instances of this classes.
  Version:
    $Id: Axis.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Giulio Toffoli (gt78@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionsBundle()`
    `FunctionsBundle(java.util.List<java.lang.String> functionClassNames)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunctionClass(java.lang.Class<?> clazz)`
    `void` | `addFunctionClass(java.lang.String className)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.List<java.lang.Class<?>>` | `getFunctionClasses()`
    `int` | `hashCode()`
    `void` | `setFunctionClasses(java.util.List<java.lang.Class<?>> functionClasses)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionsBundle

          public FunctionsBundle(java.util.List<java.lang.String> functionClassNames)

    - #### FunctionsBundle

          public FunctionsBundle()

  - ### Method Detail

    - #### addFunctionClass

          public void addFunctionClass(java.lang.Class<?> clazz)

    - #### addFunctionClass

          public void addFunctionClass(java.lang.String className)

    - #### getFunctionClasses

          public java.util.List<java.lang.Class<?>> getFunctionClasses()

    - #### setFunctionClasses

          public void setFunctionClasses(java.util.List<java.lang.Class<?>> functionClasses)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com